import { Account, Algodv2, AtomicTransactionComposer, Indexer, SuggestedParams, TransactionSigner, TransactionWithSigner } from "algosdk";
import LimitOrderParams from "./LimitOrderParams";
export default class DeflexLimitOrderFillerClient {
    algod: Algodv2;
    chain: string;
    account: Account;
    signer: TransactionSigner;
    protocolVersion: number;
    constructor(algod: Algodv2, chain: string, signerMnemonic: string, protocolVersion: number);
    static fetchMainnetClient(algod: Algodv2, signerPrivateKey: string, protocolVersion: number): DeflexLimitOrderFillerClient;
    static fetchTestnetClient(algod: Algodv2, signerPrivateKey: string, protocolVersion: number): DeflexLimitOrderFillerClient;
    static fetchAllOpenOrders(indexer: Indexer, chain: string, protocolVersion: number): Promise<LimitOrderParams[]>;
    static fetchAllExpiredOrders(indexer: Indexer, chain: string, protocolVersion: number): Promise<LimitOrderParams[]>;
    static limitOrderFromAccount(account: object): LimitOrderParams;
    prepareBackendFillOrder(limitOrder: LimitOrderParams, swapTxns: TransactionWithSigner[], swapAddress: string, backendTreasury: string, params?: SuggestedParams): Promise<AtomicTransactionComposer>;
}
