import { Algodv2, AtomicTransactionComposer, Indexer, TransactionSigner } from "algosdk";
import LimitOrderParams from "./LimitOrderParams";
export default class DeflexLimitOrderPlatformClient {
    algod: Algodv2;
    indexer: Indexer;
    chain: string;
    userAddress: string;
    userPrivateKey: string;
    signer: TransactionSigner;
    protocolVersion: number;
    constructor(algod: Algodv2, indexer: Indexer, chain: string, userAddress: string, userMnemonic: string, protocolVersion: number);
    static fetchMainnetClient(algod: Algodv2, indexer: Indexer, userAddress: string, userPrivateKey: string, protocolVersion: number): DeflexLimitOrderPlatformClient;
    static fetchTestnetClient(algod: Algodv2, indexer: Indexer, userAddress: string, userPrivateKey: string, protocolVersion: number): DeflexLimitOrderPlatformClient;
    static getMinimumEscrowBalance(): number;
    fetchFilledOrders(nextToken?: string): Promise<{
        nextToken: any;
        orders: any;
    }>;
    prepareCreateLimitOrderApp(): Promise<AtomicTransactionComposer>;
    prepareUserInitialize(limitOrderAppId: number): Promise<AtomicTransactionComposer>;
    prepareCreateOrder(limitOrder: LimitOrderParams): Promise<AtomicTransactionComposer>;
    prepareCancelOrder(limitOrder: LimitOrderParams): Promise<AtomicTransactionComposer>;
    prepareOptOutAssets(limitOrderAppId: number, assetIds: number[]): Promise<AtomicTransactionComposer>;
    prepareDeleteLimitOrderApp(limitOrderAppId: number): Promise<AtomicTransactionComposer>;
    getLimitOrderAppIds(): Promise<number[]>;
}
