import DeflexQuote from "./DeflexQuote";
import DeflexTransactionGroup from "./DeflexTransactionGroup";
export default class DeflexOrderRouterClient {
    algodUri: string;
    algodToken: any;
    algodPort: string;
    chain: string;
    referrerAddress: string;
    apiKey: string;
    feeBps: Number;
    constructor(algodUri: any, algodToken: any, algodPort: any, chain: any, referrerAddress?: string, feeBps?: number, apiKey?: string);
    static fetchMainnetClient(algodUri: any, algodToken: any, algodPort: any, referrerAddress?: string, feeBps?: number, apiKey?: string): DeflexOrderRouterClient;
    static fetchTestnetClient(algodUri: any, algodToken: any, algodPort: any, referrerAddress?: string, feeBps?: number, apiKey?: string): DeflexOrderRouterClient;
    getFixedInputSwapQuote(fromASAId: any, toASAId: any, amount: any, disabledProtocols?: any[], maxGroupSize?: number, atomicOnly?: boolean): Promise<DeflexQuote>;
    getFixedOutputSwapQuote(fromASAId: any, toASAId: any, amount: any, disabledProtocols?: any[], maxGroupSize?: number, atomicOnly?: boolean): Promise<DeflexQuote>;
    getSwapQuote(type: any, fromASAId: any, toASAId: any, amount: any, disabledProtocols: any, maxGroupSize: any, atomicOnly: any): Promise<DeflexQuote>;
    getSwapQuoteTransactions(address: string, quote: DeflexQuote, slippage: Number): Promise<DeflexTransactionGroup>;
}
